Bullet Collision Detection & Physics Library: AllocContactConstraintsLoop Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
AllocContactConstraintsLoop Struct Reference
Inheritance diagram for AllocContactConstraintsLoop:
[legend]
Collaboration diagram for AllocContactConstraintsLoop:
[legend]

## Public Member Functions
| AllocContactConstraintsLoop (btSequentialImpulseConstraintSolverMt *solver, btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo *cachedInfoArray)
void | forLoop (int iBegin, int iEnd) const BT_OVERRIDE
Public Member Functions inherited from btIParallelForBody
virtual | ~btIParallelForBody ()
virtual void | forLoop (int iBegin, int iEnd) const =0

## Public Attributes
btSequentialImpulseConstraintSolverMt * | m_solver
const btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo * | m_cachedInfoArray

## Detailed Description

Definition at line 497 of file btSequentialImpulseConstraintSolverMt.cpp.

## Constructor & Destructor Documentation

## ◆ AllocContactConstraintsLoop()

AllocContactConstraintsLoop::AllocContactConstraintsLoop | ( | btSequentialImpulseConstraintSolverMt * | solver,
|  | btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo * | cachedInfoArray
| ) |  |
| inline

Definition at line 502 of file btSequentialImpulseConstraintSolverMt.cpp.

## Member Function Documentation

## ◆ forLoop()

void AllocContactConstraintsLoop::forLoop | ( | int | iBegin,
|  | int | iEnd
| ) |  | const
| inlinevirtual

Implements btIParallelForBody.

Definition at line 507 of file btSequentialImpulseConstraintSolverMt.cpp.

## Member Data Documentation

## ◆ m_cachedInfoArray

const btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo* AllocContactConstraintsLoop::m_cachedInfoArray

Definition at line 500 of file btSequentialImpulseConstraintSolverMt.cpp.

## ◆ m_solver

btSequentialImpulseConstraintSolverMt* AllocContactConstraintsLoop::m_solver

Definition at line 499 of file btSequentialImpulseConstraintSolverMt.cpp.

The documentation for this struct was generated from the following file:

- btSequentialImpulseConstraintSolverMt.cpp